Sponsorships
Get Sponsorships Table Headers
Retrieves data for the sponsored table based on the given program ID, client ID, and filter.
POST
/
admin
/
sponsorships
/
{program_id}
/
headers
Get Sponsorships Table Headers
curl --request POST \
--url https://api.helpyousponsor.com/v1/admin/sponsorships/{program_id}/headers \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"client_id": "1",
"filter": true,
"program_id": 1
}
'import requests
url = "https://api.helpyousponsor.com/v1/admin/sponsorships/{program_id}/headers"
payload = {
"client_id": "1",
"filter": True,
"program_id": 1
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({client_id: '1', filter: true, program_id: 1})
};
fetch('https://api.helpyousponsor.com/v1/admin/sponsorships/{program_id}/headers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
]
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
Program ID for which to fetch sponsored table data
Body
application/json
ID and client ID to fetch details for
Response
200 - application/json
Sponsored table data fetched successfully
Previous
Post Sponsorships NextReturns donor details, program details, and other related information
Next
⌘I
Get Sponsorships Table Headers

